package de.meinefirma.meinprojekt;

import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.servlet.ServletContextHandler;
import org.eclipse.jetty.servlet.ServletHolder;

public class MeineApp
{
   public static void main( String[] args ) throws Exception
   {
      // Web-Kontext:
      ServletContextHandler context = new ServletContextHandler( ServletContextHandler.SESSIONS );
      context.setContextPath( "/JaxRsMitJetty" );

      // JAX-RS mit Jersey:
      ServletHolder jerseyServlet = context.addServlet( org.glassfish.jersey.servlet.ServletContainer.class, "/rest/*" );
      jerseyServlet.setInitParameter( "jersey.config.server.provider.packages", "de.meinefirma.meinprojekt" );
      jerseyServlet.setInitOrder( 0 );

      // Jetty-Server:
      int port = ( args != null && args.length > 0 ) ? Integer.parseInt( args[0] ) : 8080;
      Server jettyServer = new Server( port );
      jettyServer.setHandler( context );

      try {
         jettyServer.start();
         jettyServer.join();
      } finally {
         jettyServer.destroy();
      }
   }
}
