package restclient;

import javax.json.*;
import java.io.*;
import java.net.*;

public class JsonObjectFromUrlUtil
{
   public static JsonObject getJsonObjectFromUrl( String url )
   {
      try {
         HttpURLConnection conn = (HttpURLConnection) (new URL( url )).openConnection();
         conn.setRequestProperty( "Accept", "application/json" );
         if( conn.getResponseCode() != HttpURLConnection.HTTP_OK ) {
            throw new RuntimeException( "Problem mit der Url " + url + ": " + conn.getResponseMessage() );
         }
         try( JsonReader jsonRdr = Json.createReader( (InputStream) conn.getContent() ) ) {
            return jsonRdr.readObject();
         }
      } catch( IOException ex ) {
         throw new RuntimeException( "Problem mit der Url: " + url, ex );
      }
   }

   public static JsonArray getJsonArrayFromUrl( String url )
   {
      try {
         HttpURLConnection conn = (HttpURLConnection) (new URL( url )).openConnection();
         conn.setRequestProperty( "Accept", "application/json" );
         if( conn.getResponseCode() != HttpURLConnection.HTTP_OK ) {
            throw new RuntimeException( "Problem mit der Url " + url + ": " + conn.getResponseMessage() );
         }
         try( JsonReader jsonRdr = Json.createReader( (InputStream) conn.getContent() ) ) {
            return jsonRdr.readArray();
         }
      } catch( IOException ex ) {
         throw new RuntimeException( "Problem mit der Url: " + url, ex );
      }
   }
}
