package restclient;

import javax.json.*;

/**
 * JSON-REST-Client fuer Laenderkuerzel,
 * {@link "http://www.groupkt.com/post/f2129b88/free-restful-web-services-to-consume-and-test.htm"}
 * {@link "http://www.groupkt.com/post/c9b0ccb9/country-and-other-related-rest-webservices.htm"}
 * {@link "http://services.groupkt.com/country/get/all"}
 */
public class LaenderRestClient
{
   public static void main( String[] args )
   {
      final String url = "http://services.groupkt.com/country/get/all";
      JsonObject jsonObj = JsonObjectFromUrlUtil.getJsonObjectFromUrl( url );

      System.out.println( "\n\n------------ Ausgabe aller Root-Key/Values:\n" );
      jsonObj.entrySet().forEach( e -> System.out.println( "key=" + e.getKey() + ", val=" + e.getValue() + "\n" ) );

      System.out.println( "\n------------ Ausgabe aller Key/Values zu 'RestResponse':\n" );
      JsonObject restResponse = jsonObj.getJsonObject( "RestResponse" );
      restResponse.entrySet().forEach( e -> System.out.println( "key=" + e.getKey() + ", val=" + e.getValue() + "\n" ) );

      System.out.println( "\n------------ Ausgabe der Inhalte aller Elemente des 'RestResponse.result'-Arrays:\n" );
      JsonArray result = restResponse.getJsonArray( "result" );
      result.getValuesAs( JsonObject.class ).forEach(
            e -> System.out.println( e.getString( "alpha2_code" ) + " / " +
                  e.getString( "alpha3_code" ) + " : " + e.getString( "name" ) ) );

      System.out.println( "\n-------------------------------------------------------------\n\n" );
   }
}
