package restclient;

import javax.json.*;

/**
 * JSON-REST-Client zur Ermittlung des Geschlechts anhand des Vornamens,
 * {@link "https://genderize.io"}
 * {@link "https://api.genderize.io/?name={MeinVorname}"}
 */
public class VornameGeschlechtRestClient
{
   public static void main( String[] args )
   {
      final String url = "https://api.genderize.io/?name=";

      if( args == null || args.length == 0 ) {
         System.out.println( "\nBitte einen Vornamen als Kommandozeilenparameter übergeben." );
         return;
      }
      JsonObject jsonObj = JsonObjectFromUrlUtil.getJsonObjectFromUrl( url + args[0] );

      System.out.println( "\n\n------------ Ausgabe aller Root-Key/Values:\n" );
      jsonObj.entrySet().forEach( e -> System.out.println( "key=" + e.getKey() + ", val=" + e.getValue() + "\n" ) );

      System.out.println( "\n------------ Ermittlung einzelner Elemente:\n" );
      String name = jsonObj.getString( "name" );
      if( jsonObj.isNull( "gender" ) ) {
         System.out.println( "Der Vorname " + name + " wurde nicht gefunden." );
      } else {
         String gender = jsonObj.getString( "gender" );
         System.out.println( "Der Vorname " + name + " ist: " + gender + "." );
      }

      System.out.println( "\n-------------------------------------------\n\n" );
   }
}
