package de.meinefirma.meinprojekt;

import javax.inject.Inject;
import javax.mvc.Models;
import javax.mvc.annotation.Controller;
import javax.mvc.binding.BindingResult;
import javax.validation.Valid;
import javax.ws.rs.*;

@Controller
@Path( "/mvcdemo" )
public class MvcdemoController
{
   @Inject private Models models;
   @Inject private BindingResult bindingResult;

   @GET
   public String render()
   {
      models.put( "demotitel", "Hallo Javax-MVC-Demo mit Ozark, Weld-CDI, Jersey-JAX-RS und Jetty" );
      return "mvcdemo.jsp";
   }

   @POST
   public String mvcdemo( @Valid @BeanParam MvcdemoForm form )
   {
      models.put( "demotitel", "Javax-MVC-Demo mit Ozark, Weld-CDI, Jersey-JAX-RS und Jetty" );

      // Falls Fehler:
      if( bindingResult.isFailed() ) {
         models.put( "messages", bindingResult.getAllMessages() );
         return "mvcdemo.jsp";
      }

      // Falls ok:
      models.put( "form", form );

      // Normalerweise Redirect zu einer Ergebnisseite, z.B. so:
      // return "redirect:/ergebnis";
      return "mvcdemo.jsp";
   }
}
